### Method

# Ggit Repository lookup

#### Declaration [src]

    GgitObject*
    ggit_repository_lookup (
      GgitRepository* repository,
      GgitOId* oid,
      GType gtype,
      GError** error
    )

#### Description [src]

Lookups a reference to one of the objects in the `repository`.

The generated reference must be freed with g_object_unref().

The `gtype` must match the type of the object in the odb; the method will fail otherwise. The special value `G_TYPE_NONE` may be passed to let the method guess the object’s type.

#### Parameters

`oid`

  Type: `GgitOId`

  A `GgitOId`.

  The data is owned by the caller of the method.

`gtype`

  Type: `GType`

  A `GType`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GgitObject`

The found `GgitObject`, or `NULL` on error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.